/*
Theme Name: Beaver Builder Child Theme
Theme URI: http://www.wpbeaverbuilder.com
Version: 1.0
Description: An example child theme that can be used as a starting point for custom development.
Author: The Beaver Builder Team
Author URI: http://www.fastlinemedia.com
template: bb-theme
*/

/* Add your custom styles here... */ 


a.sfsc-html-buttons {
    position: absolute;
    top: 0px;
    right: -10px;
    background: #f00;
    color: #fff;
    width: 23px;
    text-align: center;
    height: 23px;
    line-height: 23px;
    border-radius: 100px;
    font-family: 'Inter';
    font-weight: 500;
    cursor: pointer;
}

.sfsc-html-button-info {
    position: relative;
    padding-top: 20px !important;
}

.sfsc-html-info-show {
    display: none !important;
}

.sfsc-pricing-guid-col .fl-col-content {
    position: relative;
}

.sfsc-pricing-guid-col .fl-col-content .fl-module-pp-album {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.sfsc-pricing-guid-col .fl-col-content .fl-module-pp-album .fl-module-content, .sfsc-pricing-guid-col .fl-col-content .fl-module-pp-album .fl-module-content .pp-album, .sfsc-pricing-guid-col .fl-col-content .fl-module-pp-album .fl-module-content .pp-album-container, .sfsc-pricing-guid-col .fl-col-content .fl-module-pp-album .fl-module-content .pp-album-container .pp-trigger-button, .sfsc-pricing-guid-col .fl-col-content .fl-module-pp-album .fl-module-content .pp-album .pp-album-trigger-button-wrap, .sfsc-pricing-guid-col .fl-col-content .fl-module-pp-album .fl-module-content .pp-album .pp-album-trigger-button-wrap .pp-album-trigger-button {
    margin: 0;
    width: 100%;
    height: 100%;
    display: block;
}

.sfsc-pricing-guid-col .fl-col-content .fl-module-pp-album .fl-module-content .pp-album .pp-album-trigger-button-wrap .pp-album-trigger-button {
    opacity: 0;
}

/* Free Quote CSS */
.sfs-same-day-quote-wrapper .fl-col-content {
    position: relative;
}
.sfs-same-day-quote-wrapper .sfs-same-day-quote-box {
    position: relative;
    z-index: 99;
    cursor: pointer;
}
.sfs-same-day-quote-wrapper .sfs-same-day-quote-form {
    position: absolute;
    z-index: 9;
    transition: 0.5s;
    padding: 20px 20px 0px 20px;
    height: 100%;
    min-height: min(65vh, 600px);
    overflow-y: scroll;
    top: -200px;
    opacity: 0;
    visibility: hidden;
}
.sfs-same-day-quote-wrapper .sfs-same-day-quote-form.active-form{
    top: clamp(122px, 5.6vw, 139px);
    opacity: 1;
    visibility: visible;
}
.sfs-same-day-quote-wrapper .sfs-same-day-quote-form .pp-gf-content .gform_title {
    margin-top: 0;
    text-align: center;
    margin-bottom: 15px;
    font-size: 27px;
}
.sfs-same-day-quote-form::-webkit-scrollbar {
  width: 4px;
}
.sfs-same-day-quote-form::-webkit-scrollbar-track {
  background: #f1f1f1;
}
.sfs-same-day-quote-form::-webkit-scrollbar-thumb {
  background: #101b2f;
}
.sfs-same-day-quote-form::-webkit-scrollbar-thumb:hover {
  background: #ff7f26;
}
.bb-header-update .bb-right-header .bb-header-menu .menu .menu-item {
    margin: 0;
}
.bb-header-update .form-custom-design-cls .gform_button, .bb-header-update .form-custom-design-cls .gform_button_select_files {
    border: 2px solid transparent;
    border-radius: 0;
    margin: 0 auto;
    background: #101b2f;
}

.bb-header-update .form-custom-design-cls .gform_button:hover, .bb-header-update .form-custom-design-cls .gform_button_select_files:hover {
    background: transparent;
    color: #101b2f;
    border-color: #101b2f;
}
body .bb-header-update .form-custom-design-cls .gform_drop_area {
    padding: 12px 12px;
    margin-top: 5px;
}
.dashicons-trash:before{
    color: #101b2f;
}
@media screen and (min-width:1024px){
    .bb-header-update .bb-right-header .bb-header-menu {
        width: 37%;
    }
    .bb-header-update .bb-right-header .bb-phone-number {
        width: clamp(140px, 11vw, 220px) !important;
    }
    .bb-header-update .bb-right-header .bb-phone-number .pp-heading-content .pp-heading-link {
        font-size: clamp(23px, 2vw, 30px);
    }
    .sfs-same-day-quote-wrapper .sfs-same-day-quote-box {
        padding: 10px;
    }
    
    .bb-header-update .sfs-same-day-quote-wrapper {
        width: 26%;
        max-width: 500px;
    }
    .bb-header-update .bb-right-header .bb-phone-number .pp-heading-content .pp-sub-heading p {
        font-size: clamp(10px, 1.1vw, 18px);
    }
    .bb-header-update .bb-header-row .bb-header-logo {
        width: 220px !important;
    }
    .bb-header-update .bb-right-header .bb-header-menu .menu .menu-item a {
        font-size: clamp(14px, 1vw, 20px);
        padding-right: clamp(8px, 0.6vw, 15px);
        padding-left: clamp(8px, 0.6vw, 15px);
    }
    body .bb-header-update .sfs-same-day-quotes-title .fl-heading {
        font-size: clamp(15px, 1.4vw, 25px) !important;
    }
    body .bb-header-update .sfs-same-day-quotes-text .fl-rich-text p {
        font-size: clamp(9px, 0.8vw, 14px) !important;
    }
}

@media screen and (max-width:1439px){
    .bb-header-update .bb-right-header .bb-phone-number {
        width: 100% !important;
    }
    
    .bb-header-update .bb-right-header .bb-phone-number .fl-module-content {
        margin: 6px 0;
    }
    
    body .bb-header-update .sfs-same-day-quotes-title .fl-heading {
        margin-top: -7px !important;
        margin-bottom: -5px !important;
    }
    
    body .sfs-same-day-quotes-text .fl-rich-text p {
        margin-bottom: 0;
        font-size: clamp(10px, 1vw, 14px) !important;
    }
    .bb-header-update .sfs-same-day-quote-wrapper .sfs-same-day-quote-form.active-form{
        top: 7.5vw;
    }
    body .sfs-same-day-quotes-text .fl-rich-text p {
        font-size: clamp(13px, 0.8vw, 14px) !important;
    }
}
@media screen and (max-width:1130px){
    .bb-header-update .sfs-same-day-quote-wrapper .sfs-same-day-quote-form.active-form{
        top: 8.8vw;
    }
}
@media screen and (max-width:992px){
    body .sfs-same-day-quotes-title .fl-heading {
        font-size: 20px !important;
        line-height: normal !important;
    }
    body .sfs-same-day-quotes-text .fl-rich-text p {
        font-size: 12px !important;
        margin-bottom: 5px;
    }
    .bb-header-update .bb-right-header .bb-phone-number {
        width: auto !important;
    }
    .bb-header-update .bb-right-header .pp-advanced-menu-mobile{
        justify-content: flex-end;
    }
    .bb-header-update .pp-photo-container .pp-photo-content .pp-photo-content-inner img{
        width: 160px !important;
    }
    .bb-header-update .bb-right-header .bb-phone-number{
        display: block;
    }
    .bb-header-phon-small-device {
        display: none;
    }
    .fl-builder-content-2727 {
        padding-top: 90px;
    }
    .sfs-free-same-quotes-top-header {
        position: fixed;
        top: 0;
        z-index: 99;
        width: 100%;
        margin-top: 0px;
    }
    body .sfs-same-day-quote-wrapper .sfs-same-day-quote-form {
        position: fixed;
        width: 100% !important;
        left: 50%;
        top: 50%;
        z-index: 9999;
        height: 100%;
        max-width: 500px;
        transform: translate(-50%, -50%);
        max-height: 80vh;
    }
    body .sfs-same-day-quote-wrapper .sfs-same-day-quote-form.active-form{
        opacity: 1;
        visibility: visible;
        top: 50% !important;
    }
    .bb-header-update .sfs-same-day-quote-wrapper{
        width: 0 !important;
    }
    
    
    .sfs-form-overlay.active-form {
        display: block;
    }
    
    
    
    .sfs-form-close.active-form {
        display: block;
    }
}
@media screen and (max-width:600px){
    .bb-header-update .bb-right-header .bb-phone-number{
        display: none;
    }
    .bb-header-phon-small-device {
        display: block;
    }
}

.sfs-form-close {
    display: none;
    position: fixed;
    top: 70px;
    right: 20px;
    color: #fff;
    font-size: 18px;
    z-index: 9999;
    background: #ff7f26;
    width: 30px;
    height: 30px;
    line-height: 30px;
    text-align: center;
    border-radius: 15px;
    cursor: pointer;
}

.sfs-form-overlay {
    display: none;
    position: fixed;
    width: 100%;
    height: 100%;
    background: #000000c7;
    top: 0;
    left: 0;
    z-index: 999;
}

.fl-menu-mobile-flyout .fl-toggle-none .menu-item {
    border-color: #a18b49;
    padding-bottom: 5px;
    padding-top: 5px;
}

.fl-menu-mobile-flyout .fl-menu-mobile-close {
    color: #fff;
    font-size: 20px;
}

.fl-menu-mobile-toggle.hamburger .hamburger-menu {
    width: 31px;
}

.fl-menu-mobile-toggle.hamburger .hamburger-menu rect {
    height: 59px !important;
    fill: rgb(255, 255, 255) !important;
}

.fl-menu-mobile-toggle.hamburger .hamburger-menu rect.fl-hamburger-menu-middle {
    y: 140;
}

.fl-menu-mobile-toggle.hamburger .hamburger-menu rect.fl-hamburger-menu-bottom {
    y: 290;
}

.fl-menu-mobile-toggle.hamburger {
    background: transparent !important;
    outline: none !important;
}